use binrw::{BinRead, BinWrite};

/// Wrapper for basic types determined by initial u32 size
#[derive(BinRead, BinWrite, PartialEq, Debug)]
pub enum BasicField {
    #[brw(magic(2u32))]
    U16(u16),
    #[brw(magic(4u32))]
    U32(u32),
    #[brw(magic(8u32))]
    Double(f64),
}
