use std::{fs::read, path::PathBuf};

use clap::Parser;

#[derive(Debug, Parser)]
struct Cli {
    /// Input file to parse
    #[arg(short, long)]
    input: PathBuf,

    /// Output file to write to
    #[arg(short, long)]
    output: PathBuf,

    /// Configuration file
    #[arg(short, long)]
    config: PathBuf,

    #[command(flatten)]
    verbose: clap_verbosity_flag::Verbosity,
}

fn main() {
    env_logger::builder()
        .format_timestamp(None)
        .filter_level(log::LevelFilter::Info)
        .init();

    let args: Cli = Cli::parse();

    let _input = read(args.input).unwrap();
    let _confing = read(args.config).unwrap();

    println!("Hello, world!");
}
